<div class="row wrapper border-bottom white-bg page-heading">
  <div class="col-lg-10">
    <h2>Change Password</h2>
    <ol class="breadcrumb">
      <li>
        <a [routerLink] = "['/admin']">Home</a>
      </li>
      <li>
        <a [routerLink] = "['/admin/profile']">Profile</a>
      </li>
      <li class="active">
        <strong>Change Profile</strong>
      </li>
    </ol>
  </div>
  <div class="col-lg-2">
  </div>
</div>
<flash-messages></flash-messages>
<div class="wrapper wrapper-content animated fadeInRight">
<div class="row">
  <div class="col-lg-12">
    <div class="ibox float-e-margins">
      <div class="ibox-title">
        <h5>Change Password </h5>
      </div>
      <div class="ibox-content">
        <form  class="form-horizontal" [formGroup]="form"  (ngSubmit) = "updatePassword()">
          <div class="hr-line-dashed"></div>


          <div class="form-group"><label class="col-lg-2 control-label">Name</label>
            <div class="col-lg-10"><input type="text"  formControlName="firstname" placeholder="firstname"  class="form-control" readonly>
            <div *ngIf="form.controls['firstname'].invalid && (form.controls['firstname'].dirty || form.controls['firstname'].touched)" >
              <div *ngIf="form.controls['firstname'].errors.required" class="text-danger">
                Name is required.
              </div>
            </div>
          </div>
          </div>


          <div class="hr-line-dashed"></div>
          <div class="form-group  required"><label class="col-sm-2 control-label">Password</label>

            <div class="col-sm-10"><input type="password" placeholder="password" formControlName="password" class="form-control"  name="password">
              <div *ngIf="form.controls['password'].invalid && (form.controls['password'].dirty || form.controls['password'].touched)" >
                <div *ngIf="form.controls['password'].errors.required" class="text-danger">
                  Password is required.
                </div>
              </div>
            </div>

          </div>
          <div class="hr-line-dashed"></div>
          <div class="form-group required"><label class="col-sm-2 control-label">Confirm Password</label>
            <div class="col-sm-10"><input type="password" placeholder="confirm password" formControlName="confirm_password"  class="form-control">
              <div *ngIf="form.controls['confirm_password'].invalid && (form.controls['confirm_password'].dirty || form.controls['confirm_password'].touched)" >
                <div *ngIf="form.controls['confirm_password'].errors.required" class="text-danger">
                  Confirm Password is required.
                </div>



              </div>
              <div class="text-danger" *ngIf="form.controls['confirm_password'].errors?.checkIfMatchingPasswords">Password not match</div>

            </div>
          </div>

          <div class="hr-line-dashed"></div>
          <div class="form-group">
            <div class="col-sm-4 col-sm-offset-2">
              <button class="btn btn-white" type="submit" [routerLink] = "['/admin']">Cancel</button>
              <button class="btn btn-primary" [disabled]="form.invalid" type="submit">Save changes</button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
</div>
